<?php
/**
 *  ╔═══════════════════════════════════════════════════╗
 *  ║                                                   ║
 *  ║     ██╗  ██╗   █████╗    ██████╗                  ║
 *  ║     ██║  ██║  ██╔══██╗  ██╔═══██╗                 ║
 *  ║     ███████║  ███████║  ██║   ██║                 ║
 *  ║     ██╔══██║  ██╔══██║  ██║   ██║                 ║
 *  ║     ██║  ██║  ██║  ██║  ╚██████╔╝   SNS           ║
 *  ║                                                   ║    
 *  ║                                                   ║    
 *  ║     © 2023 HaoSNS™ All Rights Reserved            ║
 *  ║     官方网站: https://www.haosns.com                *
 *  ║     本代码由赣州乐易网络科技有限公司®提供             *
 *  ║                                                    *
 *  ║   未经授权禁止复制、传播或用于其他商业目的            *
 *  ║                                                   ║
 *  ╚═══════════════════════════════════════════════════╝
 */

namespace app\api\controller;


/**
 * 帮助中心
 * Class IndexController
 * @package app\api\controller
 */
class Feedback extends BaseShopController
{
    /**
     * 我的反馈
     * @return \think\response\Json
     */
    public function list()
    {
        $list = \app\common\model\Feedback::where('user_id',$this->userId)
        ->select()->toArray();
        return show(config('status.success'),'帮助中心列表',$list);
    }

    /**
     * 提交反馈
     */
    public function submit()
    {
        $params = $this->request->post();
        $params['user_id'] = $this->userId;
        $res = \app\common\model\Feedback::create($params);
        if($res){
            return show(config('status.success'),'提交成功');
        }
        return show(config('status.error'),'添加失败');
    }

}
